ModernLoop Internal API
Apigithub

Execute a GitHub GraphQL query or mutation

Write operation: mutates state in the upstream service.

curl -X POST "https://api.modernloop.dev/rest/v1/github/graphql" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{  "data": "string",  "errors": [    {      "message": "string",      "locations": [        {          "line": 0,          "column": 0        }      ],      "path": [        "string"      ],      "extensions": {        "property1": "string",        "property2": "string"      },      "type": "string"    }  ]}
"string"

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

query*string

GraphQL document

Length1 <= length
variables?
operationName?string

Response Body

application/json

application/json